Subject: Re: bug#48111: tilde in Go package names (eg. sourcehut hosted packages)

From: Leo Prikler <[email-masked]>
Date: Mon, 05 Jul 2021 09:57:14 +0200

Hello,

Am Sonntag, den 04.07.2021, 15:51 -0700 schrieb Sarah Morgensen:
> It might be slightly uglier, but I think it's better to keep a
> consistent policy of "replace any invalid characters with a hyphen",
> as it is less likely to generate collisions and it provides a hint to
> the reader that there *is* a character there.
Fair enough, that's a reasonable take.

> I have attached a patch to do so below, verified that a recursive
> import of the package mentioned above builds without modification
> (well, I had to update a dependency...) and verified that there are
> not currently any go packages using a tilde in their name with:
> 
> $ egrep -r '"go-[^"]*~[^"]*"' gnu/packages
I couldn't verify this as the importer delivered 410s, but the patch
LGTM, so I pushed it.

Thanks,
Leo